package CRSDK;

@SuppressWarnings("unused")
public enum CrError {
    // 16bit	always 1
    // 9~15bit	category of error
    // 1~8bit	error detail in category
    CrError_None(0),

    CrError_Generic(0x8000),
    CrError_Generic_Unknown(CrError_Generic.getValue()),
    CrError_Generic_Notimpl(CrError_Generic.getValue()+1),
    CrError_Generic_Abort(CrError_Generic.getValue()+2),
    CrError_Generic_NotSupported(CrError_Generic.getValue()+3),
    CrError_Generic_SeriousErrorNotSupported(CrError_Generic.getValue()+4),
    CrError_Generic_InvalidHandle(CrError_Generic.getValue()+5),
    CrError_Generic_InvalidParameter(CrError_Generic.getValue()+6),

    CrError_File(0x8100),
    CrError_File_Unknown(CrError_File.getValue()),
    CrError_File_IllegalOperation(CrError_File.getValue()+1),
    CrError_File_IllegalParameter(CrError_File.getValue()+2),
    CrError_File_EOF(CrError_File.getValue()+3),
    CrError_File_OutOfRange(CrError_File.getValue()+4),
    CrError_File_NotFound(CrError_File.getValue()+5),
    CrError_File_DirNotFound(CrError_File.getValue()+6),
    CrError_File_AlreadyOpened(CrError_File.getValue()+7),
    CrError_File_PermissionDenied(CrError_File.getValue()+8),
    CrError_File_StorageFull(CrError_File.getValue()+9),
    CrError_File_AlreadyExists(CrError_File.getValue()+10),
    CrError_File_TooManyOpenedFiles(CrError_File.getValue()+11),
    CrError_File_ReadOnly(CrError_File.getValue()+12),
    CrError_File_CantOpen(CrError_File.getValue()+13),
    CrError_File_CantClose(CrError_File.getValue()+14),
    CrError_File_CantDelete(CrError_File.getValue()+15),
    CrError_File_CantRead(CrError_File.getValue()+16),
    CrError_File_CantWrite(CrError_File.getValue()+17),
    CrError_File_CantCreateDir(CrError_File.getValue()+18),
    CrError_File_OperationAbortedByUser(CrError_File.getValue()+19),
    CrError_File_UnsupportedOperation(CrError_File.getValue()+20),
    CrError_File_NotYetCompleted(CrError_File.getValue()+21),
    CrError_File_Invalid(CrError_File.getValue()+22),
    CrError_File_StorageNotExist(CrError_File.getValue()+23),
    CrError_File_SharingViolation(CrError_File.getValue()+24),
    CrError_File_Rotation(CrError_File.getValue()+25),
    CrError_File_SameNameFull(CrError_File.getValue()+26),

    CrError_Connect(0x8200),
    CrError_Connect_Unknown(CrError_Connect.getValue()),
    CrError_Connect_Connect(CrError_Connect.getValue()+1),
    CrError_Connect_ConnectIP(CrError_Connect.getValue()+2),
    CrError_Connect_Release(CrError_Connect.getValue()+3),
    CrError_Connect_GetProperty(CrError_Connect.getValue()+4),
    CrError_Connect_SendCommand(CrError_Connect.getValue()+5),
    CrError_Connect_HandlePlugin(CrError_Connect.getValue()+6),
    CrError_Connect_Disconnected(CrError_Connect.getValue()+7),
    CrError_Connect_TimeOut(CrError_Connect.getValue()+8),
    CrError_Reconnect_TimeOut(CrError_Connect.getValue()+9),
    CrError_Connect_FailRejected(CrError_Connect.getValue()+10),
    CrError_Connect_FailBusy(CrError_Connect.getValue()+11),
    CrError_Connect_FailUnspecified(CrError_Connect.getValue()+12),
    CrError_Connect_Cancel(CrError_Connect.getValue()+13),
    CrError_Reserved1(CrError_Connect.getValue()+14),
    CrError_Reserved2(CrError_Connect.getValue()+15),
    CrError_Connect_SessionAlreadyOpened(CrError_Connect.getValue()+16),
    CrError_Connect_ContentsTransfer_NotSupported(CrError_Connect.getValue()+17),
    CrError_Connect_SSH_NotSupported(CrError_Connect.getValue()+18),
    CrError_Connect_SSH_InvalidParameter(CrError_Connect.getValue()+19),
    CrError_Connect_SSH_ServerConnectFailed(CrError_Connect.getValue()+20),
    CrError_Connect_SSH_ServerAuthenticationFailed(CrError_Connect.getValue()+21),
    CrError_Connect_SSH_UserAuthenticationFailed(CrError_Connect.getValue()+22),
    CrError_Connect_SSH_PortForwardFailed(CrError_Connect.getValue()+23),
    CrError_Connect_SSH_GetFingerprintFailed(CrError_Connect.getValue()+24),
    CrError_Connect_RemoteTransfer_NotSupported(CrError_Connect.getValue()+25),

    CrError_Memory(0x8300),
    CrError_Memory_Unknown(CrError_Memory.getValue()),
    CrError_Memory_OutOfMemory(CrError_Memory.getValue()+1),
    CrError_Memory_InvalidPointer(CrError_Memory.getValue()+2),
    CrError_Memory_Insufficient(CrError_Memory.getValue()+3),

    CrError_Api(0x8400),
    CrError_Api_Unknown(CrError_Api.getValue()),
    CrError_Api_Insufficient(CrError_Api.getValue()+1),
    CrError_Api_InvalidCalled(CrError_Api.getValue()+2),
    CrError_Api_NoApplicableInformation(CrError_Api.getValue()+3),
    CrError_Api_OutOfModelList(CrError_Api.getValue()+4),
    CrError_Api_NotSupportModelOfUSB(CrError_Api.getValue()+5),
    CrError_Api_NotSupportModelOfEthernet(CrError_Api.getValue()+6),
    CrError_Api_InvalidSerialNumber(CrError_Api.getValue()+7),
    CrError_Api_InvalidIpAddress(CrError_Api.getValue()+8),
    CrError_Api_InvalidMacAddress(CrError_Api.getValue()+9),
    CrError_Api_PasswordLengthOverMax(CrError_Api.getValue()+10),
    CrError_Api_PasswordIncludesInvalidCharacter(CrError_Api.getValue()+11),

    CrError_Init(0x8500),

    CrError_Polling(0x8600),
    CrError_Polling_Unknown	(CrError_Init.getValue()),
    CrError_Polling_InvalidVal_Intervals(CrError_Init.getValue()+1),

    CrError_Adaptor(0x8700),
    CrError_Adaptor_Unknown(CrError_Adaptor.getValue()),
    CrError_Adaptor_InvalidProperty (CrError_Adaptor.getValue()+1),
    CrError_Adaptor_GetInfo(CrError_Adaptor.getValue()+2),
    CrError_Adaptor_Create(CrError_Adaptor.getValue()+3),
    CrError_Adaptor_SendCommand(CrError_Adaptor.getValue()+4),
    CrError_Adaptor_HandlePlugin(CrError_Adaptor.getValue()+5),
    CrError_Adaptor_CreateDevice(CrError_Adaptor.getValue()+6),
    CrError_Adaptor_EnumDevice (CrError_Adaptor.getValue()+7),
    CrError_Adaptor_Reset(CrError_Adaptor.getValue()+8),
    CrError_Adaptor_Read(CrError_Adaptor.getValue()+9),
    CrError_Adaptor_Phase(CrError_Adaptor.getValue()+10),
    CrError_Adaptor_DataToWiaItem(CrError_Adaptor.getValue()+11),
    CrError_Adaptor_DeviceBusy(CrError_Adaptor.getValue()+12),
    CrError_Adaptor_Escape(CrError_Adaptor.getValue()+13),
    CrError_Adaptor_InvalidParameter(CrError_Adaptor.getValue()+14),
    CrError_Adaptor_FeatureVersionInvalidValue(CrError_Adaptor.getValue()+15),
    CrError_Adaptor_TemporaryStorageFull(CrError_Adaptor.getValue()+16),
    CrError_Adaptor_CameraStatusError(CrError_Adaptor.getValue()+17),

    CrError_Device(0x8800),
    CrError_Device_Unknown(CrError_Device.getValue()),

    CrError_Contents(0x8C00),
    CrError_Contents_Unknown(CrError_Contents.getValue()),
    CrError_Contents_Reserved1(CrError_Contents.getValue()+1),
    CrError_Contents_InvalidHandle(CrError_Contents.getValue()+2),
    CrError_Contents_DateFolderList_NotRetrieved(CrError_Contents.getValue()+3),
    CrError_Contents_ContentsList_NotRetrieved(CrError_Contents.getValue()+4),
    CrError_Contents_Transfer_Unsuccess(CrError_Contents.getValue()+5),
    CrError_Contents_Transfer_Cancel(CrError_Contents.getValue()+6),
    CrError_Contents_RejectRequest(CrError_Contents.getValue()+7),

    CrError_RemoteTransfer(0x8D00),
    CrError_RemoteTransfer_Unknown(CrError_RemoteTransfer.getValue()),
    CrError_RemoteTransfer_VideoFileNotSupported(CrError_RemoteTransfer.getValue()+1),
    CrError_RemoteTransfer_ContentNotFound(CrError_RemoteTransfer.getValue()+2),
    CrError_RemoteTransfer_GetContentsDataDisable(CrError_RemoteTransfer.getValue()+3),
    CrError_RemoteTransfer_StatusError(CrError_RemoteTransfer.getValue()+4),
    CrError_RemoteTransfer_GetContentsInfoListProcessing(CrError_RemoteTransfer.getValue()+5),
    CrError_RemoteTransfer_ContentsInfoParseFailed_Slot1(CrError_RemoteTransfer.getValue()+6),
    CrError_RemoteTransfer_ContentsInfoParseFailed_Slot2(CrError_RemoteTransfer.getValue()+7),

    CrError_Monitoring(0x9100),
    CrError_Monitoring_Unknown(CrError_Monitoring.getValue()),
    CrError_Monitoring_InvalidCalled_AlreadyStart(CrError_Monitoring.getValue()+1),
    CrError_Monitoring_InvalidCalled_AlreadyStop(CrError_Monitoring.getValue()+2),
    CrError_Monitoring_InvalidCalled_LiveViewEnabled(CrError_Monitoring.getValue()+3),
    CrError_Monitoring_InvalidCalled_PlaybackEnabled(CrError_Monitoring.getValue()+4),

    CrError_Playback(0x9200),
    CrError_Playback_Unknown(CrError_Playback.getValue()),
    CrError_Playback_InvalidCalled_LiveViewEnabled(CrError_Playback.getValue()+1),
    CrError_Playback_InvalidCalled_MonitoringEnabled(CrError_Playback.getValue()+2),

    CrWarning_Unknown(0x00020000) ,
    CrWarning_Connect_Reconnected (CrWarning_Unknown.getValue()+1),
    CrWarning_Connect_Reconnecting(CrWarning_Unknown.getValue()+2),
    CrWarning_File_StorageFull(CrWarning_Unknown.getValue()+3),
    CrWarning_SetFileName_Failed(CrWarning_Unknown.getValue()+4),
    CrWarning_GetImage_Failed(CrWarning_Unknown.getValue()+5),
    CrWarning_FailedToSetCWB(CrWarning_Unknown.getValue()+6),/* Do not use. Will be removed in the next release. Use 'CrWarning_CustomWBCapture_Result_NG' instead.*/
    CrWarning_NetworkErrorOccurred(CrWarning_Unknown.getValue()+7),
    CrWarning_NetworkErrorRecovered(CrWarning_Unknown.getValue()+8),
    CrWarning_Format_Failed(CrWarning_Unknown.getValue()+9),
    CrWarning_Format_Invalid(CrWarning_Unknown.getValue()+10),
    CrWarning_Format_Complete(CrWarning_Unknown.getValue()+11),
    CrWarning_FTPTransferSetting_Read_Result_Invalid(CrWarning_Unknown.getValue()+12),
    CrWarning_FTPTransferSetting_Read_Result_OK(CrWarning_Unknown.getValue()+13),
    CrWarning_FTPTransferSetting_Read_Result_NG(CrWarning_Unknown.getValue()+14),
    CrWarning_FTPTransferSetting_Read_Result_NG_password(CrWarning_Unknown.getValue()+15),
    CrWarning_FTPTransferSetting_Read_Result_DeviceBusy(CrWarning_Unknown.getValue()+16),
    CrNotify_Captured_Event(CrWarning_Unknown.getValue()+17),
    CrWarning_Exposure_Started (CrNotify_Captured_Event.getValue()), /* Do not use. Will be removed in the next release. */
    CrWarning_DateTime_Setting_Result_Invalid(CrWarning_Unknown.getValue()+18),
    CrWarning_DateTime_Setting_Result_OK(CrWarning_Unknown.getValue()+19),
    CrWarning_DateTime_Setting_Result_Parameter_Error(CrWarning_Unknown.getValue()+20),
    CrWarning_DateTime_Setting_Result_Exclusion_Error(CrWarning_Unknown.getValue()+21),
    CrWarning_DateTime_Setting_Result_System_Error(CrWarning_Unknown.getValue()+22),
    CrWarning_Frame_NotUpdated(CrWarning_Unknown.getValue()+23),
    CrNotify_All_Download_Complete(CrWarning_Unknown.getValue()+24),
    CrWarning_Connect_Already(CrWarning_Unknown.getValue()+25),
    CrWarning_Connect_OverLimitOfDevice(CrWarning_Unknown.getValue()+26),
    CrWarning_Format_Canceled(CrWarning_Unknown.getValue()+27),
    CrWarning_ZoomAndFocusPosition_Invalid(CrWarning_Unknown.getValue()+28),
    CrWarning_ZoomAndFocusPosition_DifferentLens(CrWarning_Unknown.getValue()+29),
    CrWarning_ZoomAndFocusPosition_InvalidLens(CrWarning_Unknown.getValue()+30),
    CrWarning_ContentsTransferMode_Invalid(CrWarning_Unknown.getValue()+31),
    CrWarning_ContentsTransferMode_DeviceBusy(CrWarning_Unknown.getValue()+32),
    CrWarning_ContentsTransferMode_StatusError(CrWarning_Unknown.getValue()+33),
    CrWarning_ContentsTransferMode_CanceledFromCamera(CrWarning_Unknown.getValue()+34),
    CrWarning_ContentsTransferCancel_Success(CrWarning_Unknown.getValue()+35),
    CrWarning_ContentsTransferCancel_Error(CrWarning_Unknown.getValue()+36),
    CrNotify_ContentsTransfer_Start(CrWarning_Unknown.getValue()+37),
    CrNotify_ContentsTransfer_Complete(CrWarning_Unknown.getValue()+38),
    CrWarning_CameraSettings_Read_Result_Invalid(CrWarning_Unknown.getValue()+39),
    CrWarning_CameraSettings_Read_Result_OK(CrWarning_Unknown.getValue()+40),
    CrWarning_CameraSettings_Read_Result_NG(CrWarning_Unknown.getValue()+41),
    CrWarning_CameraSettings_Save_Result_NG(CrWarning_Unknown.getValue()+42),
    CrWarning_RequestDisplayStringList_Success(CrWarning_Unknown.getValue()+43),
    CrWarning_RequestDisplayStringList_Error(CrWarning_Unknown.getValue()+44),
    CrWarning_DisplayListChanged_BaseLook_AELevelOffsetExposureValueList(CrWarning_Unknown.getValue()+45),
    CrWarning_DisplayListChanged_BaseLook_InputDisplayList(CrWarning_Unknown.getValue()+46),
    CrWarning_DisplayListChanged_BaseLook_NameDisplayList(CrWarning_Unknown.getValue()+47),
    CrWarning_DisplayListChanged_BaseLook_OutputDisplayList(CrWarning_Unknown.getValue()+48),
    CrWarning_DisplayListChanged_SceneFile_NameDisplayList(CrWarning_Unknown.getValue()+49),
    CrWarning_DisplayListChanged_ShootingMode_CinemaColorGamutDisplayList(CrWarning_Unknown.getValue()+50),
    CrWarning_DisplayListChanged_ShootingMode_TargetDisplayDisplayList(CrWarning_Unknown.getValue()+51),
    CrWarning_DisplayListChanged_Camera_GainBaseISODisplayList(CrWarning_Unknown.getValue()+52),
    CrWarning_DisplayListChanged_Video_EIGainDisplayList(CrWarning_Unknown.getValue()+53),
    CrWarning_DisplayListChanged_Button_AssignDisplayList(CrWarning_Unknown.getValue()+54),
    CrWarning_DisplayListChanged_Button_AssignShortDisplayList(CrWarning_Unknown.getValue()+55),
    CrWarning_MediaProfileChanged_Slot1(CrWarning_Unknown.getValue()+56),
    CrWarning_MediaProfileChanged_Slot2(CrWarning_Unknown.getValue()+57),
    CrWarning_LensInformationChanged(CrWarning_Unknown.getValue()+58),
    CrWarning_RequestLensInformation_Result_Success(CrWarning_Unknown.getValue()+59),
    CrWarning_RequestLensInformation_Result_DeviceBusy(CrWarning_Unknown.getValue()+60),
    CrWarning_RequestLensInformation_Result_Error(CrWarning_Unknown.getValue()+61),
    CrWarning_DisplayListChanged_CreativeLook_NameDisplayList(CrWarning_Unknown.getValue()+62),
    CrWarning_CustomWBCapture_Result_Invalid(CrWarning_Unknown.getValue()+63),
    CrWarning_CustomWBCapture_Result_OK(CrWarning_Unknown.getValue()+64),
    CrWarning_CustomWBCapture_Result_NG(CrWarning_Unknown.getValue()+65),
    CrWarning_ImportLUTFile_Result_Invalid(CrWarning_Unknown.getValue()+66),
    CrWarning_ImportLUTFile_Result_OK(CrWarning_Unknown.getValue()+67),
    CrWarning_ImportLUTFile_Result_NG(CrWarning_Unknown.getValue()+68),
    CrWarning_ImportLUTFile_Result_InvalidFileName(CrWarning_Unknown.getValue()+69),
    CrWarning_ImportLUTFile_Result_DeviceBusy(CrWarning_Unknown.getValue()+70),
    CrWarning_ImportLUTFile_Result_DeviceStorageFull(CrWarning_Unknown.getValue()+71),
    CrWarning_ImportLUTFile_Result_InvalidParameter(CrWarning_Unknown.getValue()+72),
    CrWarning_ImportLUTFile_Result_InvalidFile(CrWarning_Unknown.getValue()+73),
    CrWarning_FTPTransferSetting_Save_Result_NG(CrWarning_Unknown.getValue()+74),
    CrWarning_FTPTransferSetting_Save_Result_DeviceBusy(CrWarning_Unknown.getValue()+75),
    CrWarning_FTPTransferSetting_SaveRead_PasswordLengthOverMax(CrWarning_Unknown.getValue()+76),
    CrWarning_FTPTransferSetting_SaveRead_PasswordIncludesInvalidCharacter(CrWarning_Unknown.getValue()+77),
    CrWarning_RequestFTPServerSettingList_Success(CrWarning_Unknown.getValue()+78),
    CrWarning_RequestFTPServerSettingList_DeviceBusy(CrWarning_Unknown.getValue()+79),
    CrWarning_RequestFTPServerSettingList_Error(CrWarning_Unknown.getValue()+80),
    CrWarning_SetFTPServerSetting_Result_Invalid(CrWarning_Unknown.getValue()+81),
    CrWarning_SetFTPServerSetting_Result_OK(CrWarning_Unknown.getValue()+82),
    CrWarning_SetFTPServerSetting_Result_NG(CrWarning_Unknown.getValue()+83),
    CrWarning_SetFTPServerSetting_Result_DeviceBusy(CrWarning_Unknown.getValue()+84),
    CrWarning_RequestFTPJobList_Result_Success(CrWarning_Unknown.getValue()+85),
    CrWarning_RequestFTPJobList_Result_DeviceBusy(CrWarning_Unknown.getValue()+86),
    CrWarning_RequestFTPJobList_Result_Error(CrWarning_Unknown.getValue()+87),
    CrWarning_ControlFTPJobList_Set_Result_Invalid(CrWarning_Unknown.getValue()+88),
    CrWarning_ControlFTPJobList_Set_Result_OK(CrWarning_Unknown.getValue()+89),
    CrWarning_ControlFTPJobList_Set_Result_NG(CrWarning_Unknown.getValue()+90),
    CrWarning_ControlFTPJobList_Set_Result_DeviceBusy(CrWarning_Unknown.getValue()+91),
    CrWarning_ControlFTPJobList_Delete_Result_Invalid(CrWarning_Unknown.getValue()+92),
    CrWarning_ControlFTPJobList_Delete_Result_OK(CrWarning_Unknown.getValue()+93),
    CrWarning_ControlFTPJobList_Delete_Result_NG(CrWarning_Unknown.getValue()+94),
    CrWarning_ControlFTPJobList_Delete_Result_DeviceBusy(CrWarning_Unknown.getValue()+95),
    CrWarning_ControlFTPJobList_Suspend_Result_Invalid(CrWarning_Unknown.getValue()+96),
    CrWarning_ControlFTPJobList_Suspend_Result_OK(CrWarning_Unknown.getValue()+97),
    CrWarning_ControlFTPJobList_Suspend_Result_NG(CrWarning_Unknown.getValue()+98),
    CrWarning_ControlFTPJobList_Suspend_Result_DeviceBusy(CrWarning_Unknown.getValue()+99),
    CrWarning_ControlFTPJobList_Resume_Result_Invalid(CrWarning_Unknown.getValue()+100),
    CrWarning_ControlFTPJobList_Resume_Result_OK(CrWarning_Unknown.getValue()+101),
    CrWarning_ControlFTPJobList_Resume_Result_NG(CrWarning_Unknown.getValue()+102),
    CrWarning_ControlFTPJobList_Resume_Result_DeviceBusy(CrWarning_Unknown.getValue()+103),
    CrWarning_MovieRecordingOperation_Result_Invalid(CrWarning_Unknown.getValue()+104),
    CrWarning_MovieRecordingOperation_Result_OK(CrWarning_Unknown.getValue()+105),
    CrWarning_MovieRecordingOperation_Result_NG(CrWarning_Unknown.getValue()+106),
    CrWarning_FocusPosition_Result_Invalid(CrWarning_Unknown.getValue()+107),
    CrWarning_FocusPosition_Result_OK(CrWarning_Unknown.getValue()+108),
    CrWarning_FocusPosition_Result_NG(CrWarning_Unknown.getValue()+109),
    CrWarning_Reserved1(CrWarning_Unknown.getValue()+110),
    CrWarning_DisplayListChanged_FTP_ServerNameDisplayList(CrWarning_Unknown.getValue()+111),
    CrWarning_DisplayListChanged_FTP_UpLoadDirectoryDisplayList(CrWarning_Unknown.getValue()+112),
    CrWarning_DisplayListChanged_FTP_JobStatusDisplayList(CrWarning_Unknown.getValue()+113),
    CrWarning_DisplayListChanged_ExposureIndexPreset1DisplayList(CrWarning_Unknown.getValue()+114),
    CrWarning_Reserved3(CrWarning_Unknown.getValue()+115),
    CrWarning_Reserved4(CrWarning_Unknown.getValue()+116),
    CrWarning_Reserved5(CrWarning_Unknown.getValue()+117),
    CrWarning_Reserved6(CrWarning_Unknown.getValue()+118),
    CrWarning_DisplayListChanged_IPTCMetadataDisplayList(CrWarning_Unknown.getValue()+119),
    CrWarning_DisplayListChanged_SubjectRecognitionAFDisplayList(CrWarning_Unknown.getValue()+120),
    CrWarning_DisplayListChanged_BaseLook_MetaRecordSupportDisplayList(CrWarning_Unknown.getValue()+121),
    CrWarning_MediaProfileChanged_Slot3(CrWarning_Unknown.getValue()+122),
    CrWarning_ControlMonitoring_Result_Start_Failed(CrWarning_Unknown.getValue()+123),
    CrWarning_ControlMonitoring_Result_Stop_Failed(CrWarning_Unknown.getValue()+124),
    CrWarning_ControlMonitoring_Result_Invalid(CrWarning_Unknown.getValue()+125),
    CrWarning_ControlMonitoring_Result_SystemError(CrWarning_Unknown.getValue()+126),
    CrWarning_ControlMonitoring_Result_MaximumNumberSimultaneousDeliveries(CrWarning_Unknown.getValue()+127),
    CrWarning_ControlMonitoring_Result_ExclusiveError(CrWarning_Unknown.getValue()+128),
    CrWarning_ControlMonitoring_Result_AlreadyStartedInDifferentType(CrWarning_Unknown.getValue()+129),
    CrWarning_ControlMonitoring_Result_MonitoringStopped(CrWarning_Unknown.getValue()+130),
    CrWarning_ControlMonitoring_Result_InvalidParameter(CrWarning_Unknown.getValue()+131),
    CrWarning_ControlMonitoring_Result_WifiHighTemperature(CrWarning_Unknown.getValue()+132),
    CrWarning_ControlMonitoring_Result_Streaming(CrWarning_Unknown.getValue()+133),
    CrWarning_ControlMonitoring_StatusChanged(CrWarning_Unknown.getValue()+134),
    CrWarning_ControlMonitoring_LostReceiving(CrWarning_Unknown.getValue()+135),
    CrWarning_RequestZoomAndFocusPreset_Result_Success(CrWarning_Unknown.getValue()+136),
    CrWarning_RequestZoomAndFocusPreset_Result_DeviceBusy(CrWarning_Unknown.getValue()+137),
    CrWarning_RequestZoomAndFocusPreset_Result_Error(CrWarning_Unknown.getValue()+138),
    CrWarning_ZoomAndFocusPresetChanged(CrWarning_Unknown.getValue()+139),
    CrWarning_CautionDisplay(CrWarning_Unknown.getValue()+140),
    CrNotify_FTPTransferResult_Success(CrWarning_Unknown.getValue()+141),
    CrNotify_FTPTransferResult_Failure(CrWarning_Unknown.getValue()+142),
    CrWarning_ZoomPosition_Result_Invalid(CrWarning_Unknown.getValue()+143),
    CrWarning_ZoomPosition_Result_OK(CrWarning_Unknown.getValue()+144),
    CrWarning_ZoomPosition_Result_Reserved1(CrWarning_Unknown.getValue()+145),
    CrWarning_ZoomPosition_Result_Reserved2(CrWarning_Unknown.getValue()+146),
    CrNotify_RemoteTransfer_Result_OK(CrWarning_Unknown.getValue()+147),
    CrNotify_RemoteTransfer_Result_NG(CrWarning_Unknown.getValue()+148),
    CrNotify_RemoteTransfer_Result_DeviceBusy(CrWarning_Unknown.getValue()+149),
    CrNotify_RemoteTransfer_Changed_All(CrWarning_Unknown.getValue()+150),
    CrNotify_RemoteTransfer_Changed_Add(CrWarning_Unknown.getValue()+151),
    CrNotify_RemoteTransfer_Changed_Clear(CrWarning_Unknown.getValue()+152),
    CrNotify_RemoteTransfer_InProgress(CrWarning_Unknown.getValue()+153),
    CrNotify_RemoteTransfer_Control_Stopped(CrWarning_Unknown.getValue()+154),
    CrNotify_RemoteTransfer_Control_Canceled(CrWarning_Unknown.getValue()+155),
    CrWarning_SetPostViewEnable_Result_OK(CrWarning_Unknown.getValue()+156),
    CrWarning_SetPostViewEnable_Result_NG(CrWarning_Unknown.getValue()+157),
    CrWarning_DisplayListChanged_CameraButtonFunctionCapabilityDisplayList(CrWarning_Unknown.getValue()+158),
    CrWarning_DisplayListChanged_CameraLeverFunctionCapabilityDisplayList(CrWarning_Unknown.getValue()+159),
    CrWarning_DisplayListChanged_CameraDialFunctionCapabilityDisplayList(CrWarning_Unknown.getValue()+160),
    CrWarning_Playback_Result_Invalid(CrWarning_Unknown.getValue()+161),
    CrNotify_Playback_Result_NormalTermination(CrWarning_Unknown.getValue()+162),
    CrWarning_Playback_Result_CameraOperateTermination(CrWarning_Unknown.getValue()+163),
    CrWarning_Playback_Result_SystemError(CrWarning_Unknown.getValue()+164),
    CrWarning_Playback_Result_HighTemperature(CrWarning_Unknown.getValue()+165),
    CrWarning_Playback_Result_MediaRemoval(CrWarning_Unknown.getValue()+166),
    CrWarning_Playback_Result_ContentsError(CrWarning_Unknown.getValue()+167),
    CrWarning_Playback_Result_KeepAliveTimeout(CrWarning_Unknown.getValue()+168),
    CrNotify_Playback_StatusChanged(CrWarning_Unknown.getValue()+169),
    CrNotify_Playback_Result_StopComplete(CrWarning_Unknown.getValue()+170),
    CrWarning_Playback_Result_Start_Fail(CrWarning_Unknown.getValue()+171),
    CrWarning_Playback_Result_Stop_Fail(CrWarning_Unknown.getValue()+172),
    CrWarning_Playback_Result_Play_Fail(CrWarning_Unknown.getValue()+173),
    CrWarning_Playback_Result_Pause_Fail(CrWarning_Unknown.getValue()+174),
    CrNotify_Playback_Result_PlaybackInfo_Success(CrWarning_Unknown.getValue()+175),
    CrWarning_Playback_Result_PlaybackInfo_Error(CrWarning_Unknown.getValue()+176),
    CrNotify_RemoteFirmware_Precheck_OK(CrWarning_Unknown.getValue()+177),
    CrNotify_RemoteFirmware_Precheck_NG(CrWarning_Unknown.getValue()+178),
    CrNotify_RemoteFirmware_UpdateEvent(CrWarning_Unknown.getValue()+179),
    CrNotify_RemoteFirmware_GetUpdaterInfo_Request_NG(CrWarning_Unknown.getValue()+180),
    CrNotify_RemoteFirmware_GetUpdaterInfo_OK(CrWarning_Unknown.getValue()+181),
    CrNotify_RemoteFirmware_GetUpdaterInfo_NG(CrWarning_Unknown.getValue()+182),
    CrNotify_RemoteFirmware_Upload_OK(CrWarning_Unknown.getValue()+183),
    CrNotify_RemoteFirmware_Upload_NG(CrWarning_Unknown.getValue()+184),
    CrNotify_RemoteFirmware_Upload_Rate(CrWarning_Unknown.getValue()+185),
    CrNotify_RemoteFirmware_Update_OK(CrWarning_Unknown.getValue()+186),
    CrNotify_RemoteFirmware_Update_NG(CrWarning_Unknown.getValue()+187),
    CrWarning_ControlMonitoring_ErrorOccurred(CrWarning_Unknown.getValue()+188),

    CrNotify_LiveView_Alt_Ready(CrWarning_Unknown.getValue()+189),
    CrWarning_DisplayListChanged_TargetStreamingDestinationSelectDisplayList(CrWarning_Unknown.getValue()+190),
    CrWarning_DisplayListChanged_CustomGridLineFileNameDisplayList(CrWarning_Unknown.getValue()+191),
    CrWarning_DisplayListChanged_Reserved28(CrWarning_Unknown.getValue()+192),
    CrWarning_DisplayListChanged_Reserved29(CrWarning_Unknown.getValue()+193),
    CrWarning_DisplayListChanged_Reserved30(CrWarning_Unknown.getValue()+194),
    CrWarning_DisplayListChanged_Reserved31(CrWarning_Unknown.getValue()+195),

    CrWarningExt_Unknown(0x00060000),
    CrWarningExt_AFStatus(CrWarningExt_Unknown.getValue()+1),
    CrWarningExt_OperationResults(CrWarningExt_Unknown.getValue()+2),
    CrWarningExt_OperationInvalid(CrWarningExt_Unknown.getValue()+3),
    CrWarningExt_ControlPTZFResult(CrWarningExt_Unknown.getValue()+4),
    CrWarningExt_PresetPTZFClear(CrWarningExt_Unknown.getValue()+5),
    CrWarningExt_PresetPTZFSet(CrWarningExt_Unknown.getValue()+6),
    CrWarningExt_PresetPTZFEvent(CrWarningExt_Unknown.getValue()+7),
    CrWarningExt_RequestTimeZoneSetting(CrWarningExt_Unknown.getValue()+8),
    CrWarningExt_SetTimeZoneSetting(CrWarningExt_Unknown.getValue()+9),
    CrWarningExt_ExecuteEframing(CrWarningExt_Unknown.getValue()+10),
    CrWarningExt_RequestStreamSettingList(CrWarningExt_Unknown.getValue()+11),
    CrWarningExt_SetStreamSettingList(CrWarningExt_Unknown.getValue()+12),
    CrWarningExt_DeleteContent(CrWarningExt_Unknown.getValue()+13),
    CrWarningExt_UploadSceneFile(CrWarningExt_Unknown.getValue()+14),
    CrWarningExt_DownloadSceneFile(CrWarningExt_Unknown.getValue()+15),
    CrWarningExt_UploadCustomGridLineFile(CrWarningExt_Unknown.getValue()+16);


    private final CrInt32 value;
    CrError(int value) {
        this.value = new CrInt32(value);
    }
    public int getValue() {
        return value.intValue();
    }
}
